# Interface TreeBuilderState<T>

All Known Implementing Classes:
  `CoalescingTreeBuilder, StateSnapshot, TreeBuilder`

public interface TreeBuilderState<T>
Interface for exposing the state of the HTML5 tree builder so that the interface can be implemented by the tree builder itself and by snapshots.

Version:
  $Id$
Author:
  hsivonen

## Method Summary

Modifier and Type
Method
Description
`T`
`getFormPointer()`
Returns the formPointer.
`T`
`getHeadPointer()`
Returns the headPointer.
`nu.validator.htmlparser.impl.StackNode<T>[]`
`getListOfActiveFormattingElements()`
Returns the listOfActiveFormattingElements.
`int`
`getListOfActiveFormattingElementsLength()`
Return the length of the list of active formatting elements.
`int`
`getMode()`
Returns the mode.
`int`
`getOriginalMode()`
Returns the originalMode.
`nu.validator.htmlparser.impl.StackNode<T>[]`
`getStack()`
Returns the stack.
`int`
`getStackLength()`
Return the length of the stack.
`int[]`
`getTemplateModeStack()`
Returns the stack of template insertion modes.
`int`
`getTemplateModeStackLength()`
Return the length of the stack of template insertion modes.
`boolean`
`isFramesetOk()`
Returns the framesetOk.
`boolean`
`isNeedToDropLF()`
Returns the needToDropLF.
`boolean`
`isQuirks()`
Returns the quirks.

## Method Details

### getStack

nu.validator.htmlparser.impl.StackNode<T>[] getStack()
Returns the stack.

Returns:
  the stack

### getListOfActiveFormattingElements

nu.validator.htmlparser.impl.StackNode<T>[] getListOfActiveFormattingElements()
Returns the listOfActiveFormattingElements.

Returns:
  the listOfActiveFormattingElements

### getTemplateModeStack

int[] getTemplateModeStack()
Returns the stack of template insertion modes.

Returns:
  the stack of template insertion modes

### getFormPointer

T getFormPointer()
Returns the formPointer.

Returns:
  the formPointer

### getHeadPointer

T getHeadPointer()
Returns the headPointer.

Returns:
  the headPointer

### getMode

int getMode()
Returns the mode.

Returns:
  the mode

### getOriginalMode

int getOriginalMode()
Returns the originalMode.

Returns:
  the originalMode

### isFramesetOk

boolean isFramesetOk()
Returns the framesetOk.

Returns:
  the framesetOk

### isNeedToDropLF

boolean isNeedToDropLF()
Returns the needToDropLF.

Returns:
  the needToDropLF

### isQuirks

boolean isQuirks()
Returns the quirks.

Returns:
  the quirks

### getStackLength

int getStackLength()
Return the length of the stack.

Returns:
  the length of the stack.

### getListOfActiveFormattingElementsLength

int getListOfActiveFormattingElementsLength()
Return the length of the list of active formatting elements.

Returns:
  the length of the list of active formatting elements.

### getTemplateModeStackLength

int getTemplateModeStackLength()
Return the length of the stack of template insertion modes.

Returns:
  the length of the stack of template insertion modes.